Monitor Más Monitor


Descubren una vulnerabilidad que afecta a impresoras

Descubren una vulnerabilidad que afecta a impresoras
16 años afectando a impresoras HP, Samsung y Xerox

Publicación:22-07-2021
++--

Varios modelos de impresoras de HP, Samsung y Xerox han tenido una vulnerabilidad desde hace 16 años que no se ha descubierto hasta hace escasas fechas.

Esta, presente en un driver de las impresoras afectadas, se caracteriza por poder causar «un desborde potencial del buffer en los drivers de software para determinados productos de impresión HP LaserJet y Samsung, que podría llevar a un escalado de privilegios«. Conviene recordar que hace ya unos años que HP compró la división de impresoras de Samsung, por lo que también se ha hecho cargo de parchear la vulnerabilidad en las impresoras Samsung afectadas.

El driver afectado, SSPOR.SYS, se instala y activa automáticamente, sin importar si el modelo funciona sin cables o con ellas. Lo carga automáticamente el sistema operativo Windows al encender el ordenador. Según los investigadores que han descubierto la vulnerabilidad, un grupo de SentinelLabs, «esto hace que el driver sea un candidato perfecto para convertirse en objetivo, ya que siempre estará cargado en la máquina, aunque no haya ninguna impresora conectada«.

La función del driver afectada por la vulnerabilidad es la de aceptación de datos sin validación del parámetro tamaño, lo que permite a los atacantes desbordar el buffer el driver, al menos en teoría. Con ella, los atacantes locales podrían escalar sus privilegios hasta llegar a contar con una cuenta de nivel sistema, y ejecutar código en modo kernel para realizar diversas acciones, entre las que están diversas manipulaciones en máquinas objetivo.

Eso sí, según SentinelLabs, no se ha invertido tiempo en utilizar la vulnerabilidad de manera aislada, y puede que un exploit que lo haga con éxito necesite una cadena de vulnerabilidades. El investigador de SentinelLabs Kasif Dekel informó de la vulnerabilidad a HP el pasado 18 de febrero, y la compañía lanzó un parche de seguridad para solucionar el fallo el pasado 19 de mayo. Por ahora no se han detectado exploits de dicha vulnerabilidad.

Entre los modelos afectados por ella están los de HP LaserJet, Samsung CLP, Samsung MultiXpress y Samsung Xpress. La compañía ha lanzado parches de seguridad para todos ellos, que recomienda instalar. Solo hay que buscar el modelo de impresora en el portal de software de HP, seleccionar el modelo de impresora y aplicar la actualización. Al parecer también hay varios modelos de Xerox, que ha publicado un aviso sobre seguridad al respecto, afectados. Son los B215, B210, B215, Phaser y WorkCentre. En el caso de Xerox, el enlace para descargar el parche se encuentra en esta dirección.



« Especial »